#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EBroadcastImageType {
    None = 0,
    Offline = 1,
    Standby = 2,
    Avatar = 3,
    Summary = 4,
    Background = 5,
    Emoticon = 6,
}

impl EBroadcastImageType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Offline as i32 => Some(Self::Offline),
            x if x == Self::Standby as i32 => Some(Self::Standby),
            x if x == Self::Avatar as i32 => Some(Self::Avatar),
            x if x == Self::Summary as i32 => Some(Self::Summary),
            x if x == Self::Background as i32 => Some(Self::Background),
            x if x == Self::Emoticon as i32 => Some(Self::Emoticon),
            _ => None,
        }
    }
}
